<template>
  <div class="col-sm-12 col-md-12 auth-bg-left ps-4">
    <div class="h-100 ps-5">
      <div class="logo-container p-4">
        <img src="@/assets/img/logo.png" alt="Main Logo" style="height: 50px" />
      </div>
      <div class="form-container mt-4 p-4">
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-head d-flex align-items-center">
              <div class="">
                <h2 class="fw-bold">Open a Business Account</h2>
              </div>
            </div>
            <div class="progress my-4" style="height: 3px">
              <div
                class="progress-bar bg-primary"
                role="progressbar"
                style="width: 45%"
              ></div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-meta mb-3">
              <h4 class="fw-bold">Company Info</h4>
              <p>You are required to fill your company’s Information</p>
            </div>
          </div>
        </div>
        <form @submit.prevent="submitForm()">
          <div class="row">
            <div class="col-sm-12 col-md-6">
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="formBusinessName"
                    v-model="form.businessName"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="Business name"
                    name="Business name"
                  />
                  <div
                    v-show="verrors.has('Business name')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Business name') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="zipCode"
                    v-model="form.zipCode"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="Zip Code"
                    name="Zip Code"
                  />
                  <div
                    v-show="verrors.has('Zip Code')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Zip Code') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="BusinessAddress"
                    v-model="form.businessAddress"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="Business Address"
                    name="Business Address"
                  />
                  <div
                    v-show="verrors.has('Business Address')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Business Address') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <label for="dateIncorporation">Date of Incorporation</label>
                  <input
                    id="formDateIncorporation"
                    v-model="form.dateOfIncorporation"
                    v-validate="'required'"
                    type="date"
                    class="form-control"
                    placeholder="Date of Incorporation *"
                    name="Date of Incorporation"
                  />
                  <div
                    v-show="verrors.has('Date of Incorporation')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Date of Incorporation') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="formTypeOfBusiness"
                    v-model="form.typeOfBusiness"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="Type Of Business *"
                    name="Type Of Business"
                  />
                  <div
                    v-show="verrors.has('Type Of Business')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Type Of Business') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="formPoBox"
                    v-model="form.poBox"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="PO BOX *"
                    name="PO BOX"
                  />
                  <div v-show="verrors.has('PO BOX')" class="invalid-feedback">
                    {{ verrors.first('PO BOX') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="formTaxId"
                    v-model="form.taxId"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="Tax Id *"
                    name="Tax Id"
                  />
                  <div v-show="verrors.has('Tax Id')" class="invalid-feedback">
                    {{ verrors.first('Tax Id') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    id="formCertificateOfIncorporationNumber"
                    v-model="form.certificateOfIncorporationNumber"
                    v-validate="'required'"
                    type="text"
                    class="form-control"
                    placeholder="Certificate Of Incorporation Number *"
                    name="Certificate Of Incorporation Number"
                  />
                  <div
                    v-show="verrors.has('Certificate Of Incorporation Number')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Certificate Of Incorporation Number') }}
                  </div>
                </div>
              </div>
              <div class="my-3">
                <vs-button type="submit" circle block :loading="form.active">
                  Next
                </vs-button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'open-account-layout',
  middleware: 'auth-pages',
  async asyncData({ $axios }) {
    const { data } = await $axios.get('/miscellaneous/states')
    // console.log(stateResponse)
    return {
      states: data.payload,
    }
  },
  data: () => ({
    lgas: [],
    form: {
      active: false,
      loading: false,
    },
  }),
  created() {
    this.form = {
      ...this.form,
      ...this.$store.getters['auth/authDetails'],
    }
  },
  methods: {
    submitForm() {
      // console.log(this.form)
      this.$validator.validateAll().then((result) => {
        if (result) {
          // eslint-disable-next-line
          this.$store.commit('auth/UPDATE_AUTH_DATA', this.form)
          this.$router.push('/auth/open-account/corperate/password')
        }
      })
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
